%define po_package gnome-vfs-2.0

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		gnome-vfs
Version:	2.22.0
Release:	1
Summary:	The GNOME virtual file-system libraries
License:	GNU/GPL
Group:		Graphical Desktop/GNOME
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Source0:	%{name}-%{version}.tar.bz2
Patch3: 	gnome-vfs-2.9.90-modules-conf.patch
# send to upstream
Patch101:	gnome-vfs-2.8.2-schema_about_for_upstream.patch
# Default
Patch104:	gnome-vfs-2.8.2-browser_default.patch
Patch201: 	gnome-vfs-2.8.1-console-mount-opt.patch
#Patch4:  	gnome-vfs-2.15.1-use-sys-inotify.patch
# RH bug #197868
Patch6: 	gnome-vfs-2.15.91-mailto-command.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=356772
Patch8: 	gnome-vfs-2.16.0-no-dbus.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=427958
Patch9: 	glob-leak.patch
Requires:      	gnome-mime-data
Requires:      	shared-mime-info
#Requires:      	gnome-mount
Requires(post): GConf >= 2.18.0.1
Requires(pre): 	GConf >= 2.18.0.1
Requires(preun): GConf >= 2.18.0.1
BuildRequires: 	GConf-devel
BuildRequires: 	gnome-mime-data
BuildRequires: 	libxml2-devel, zlib-devel
BuildRequires: 	glib-devel
BuildRequires: 	popt, bzip2-devel, ORBit2-devel, openjade
BuildRequires: 	pkg-config
BuildRequires: 	/usr/bin/automake-1.10
BuildRequires: 	libtool
BuildRequires: 	intltool
BuildRequires: 	autoconf
BuildRequires: 	gtk-doc
BuildRequires: 	perl-XML-Parser
BuildRequires: 	samba-common samba-devel
BuildRequires: 	openssl-devel gamin-devel
BuildRequires: 	krb5-devel
BuildRequires: 	avahi-devel
BuildRequires: 	hal-devel
BuildRequires: 	dbus-devel
BuildRequires: 	dbus-glib-devel
#BuildRequires: 	gnome-mount-devel
BuildRequires: 	gettext
#BuildRequires: 	libacl-devel
Obsoletes:	gnome-vfs-GConf-schemas gnome-vfs-doc


%description
GNOME VFS is the GNOME virtual file system. It is the foundation of
the Nautilus file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package devel
Summary: 	Libraries and include files for developing GNOME VFS applications
Group: 		Development/Libraries
Requires:   	%{name} = %{version}-%{release}
Requires:   	GConf-devel
Requires:   	hal-devel
Requires:   	dbus-devel
Requires:   	dbus-glib-devel
Requires:  	pkg-config

%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%package smb
Summary: 	Windows fileshare support for gnome-vfs
Group: 		System/Libraries
Requires:   	%{name} = %{version}-%{release}
Requires: 	samba-common

%description smb
This package provides support for reading and writing files on windows
shares (SMB) to applications using GNOME VFS.

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gnome/gconf/schemas/system_http_proxy.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/system_dns_sd.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/system_smb.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_url_handlers.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/desktop_default_applications.schemas \
      > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gnome/gconf/schemas/system_http_proxy.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/system_dns_sd.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/system_smb.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_url_handlers.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/desktop_default_applications.schemas \
      > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gnome/gconf/schemas/system_http_proxy.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/system_dns_sd.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/system_smb.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_url_handlers.schemas \
    %{_sysconfdir}/gnome/gconf/schemas/desktop_default_applications.schemas \
      > /dev/null || :
fi

%postun -p /sbin/ldconfig

%prep
%setup -q -n gnome-vfs-%{version} 
%patch3 -p1 -b .modules-conf
#%patch4 -p1 -b .use-sys-inotify
%patch6 -p1 -b .mailto-command
# send to upstream
%patch101 -p1 -b .schema_about
%patch104 -p1 -b .browser_default
%patch201 -p0 -b .console
%patch8 -p1 -b .no-dbus
%patch9 -p1

%build
if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
	LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
fi

# auto* update needed for gnome-vfs-avahi.patch
#intltoolize --force
#libtoolize --force
#aclocal
#autoheader
#automake-1.9 --add-missing

#needed for patch 102 (kerberos fix)
#autoconf
CFLAGS="-O0 -g"
%configure --sysconfdir=%_sysconfdir/gnome --libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/gnome-vfs-2.0 --disable-gtk-doc --with-gtk=no --enable-hal 

export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -fr $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_sysconfdir}/gnome/gnome-vfs-2.0
%dir %{_sysconfdir}/gnome/gnome-vfs-2.0/modules
%config %{_sysconfdir}/gnome/gnome-vfs-2.0/modules/*.conf
%exclude %{_sysconfdir}/gnome/gnome-vfs-2.0/modules/smb-module.conf
%{_bindir}/*
#%{_libexecdir}/*
%{_libdir}/*.so.*
%exclude %{_libdir}/gnome-vfs-2.0/modules/libsmb.so
%{_libdir}/gnome-vfs-2.0/modules
%dir %{_libdir}/gnome-vfs-2.0
%{_libdir}/gnome-vfs-2.0/*
%{_sysconfdir}/gnome/gconf/schemas/*
%{_datadir}/dbus-1/services/gnome-vfs-daemon.service
## conflicts with gnome-vfs 1, ignore for now
## %{_datadir}/man/man5/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%{_libdir}/gnome-vfs-2.0/include
%{_includedir}/*
%{_datadir}/gtk-doc
#%{_libdir}/gnome-vfs-2.0/modules/lib*.a
#%{_libdir}/gnome-vfs-2.0/modules/lib*.la
%{_libdir}/*.la

%files smb
%defattr(-, root, root)
%{_libdir}/gnome-vfs-2.0/modules/libsmb.so
%config %{_sysconfdir}/gnome/gnome-vfs-2.0/modules/smb-module.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0.1-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.3-1
- Version update
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-4
- readded some patches
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.2-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.91-1
- Update to Version 2.13.91
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.4-1
- Update to Version 2.13.4
* Sun Jan 08 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.3-1
- Update to Version 2.13.3
* Tue Nov 22 2005 Christian Wasem <wasem@ccux-linux.de> 2.13.1-1
- Update to Version 2.13.1, added doc package
* Sat Jul 16 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.11.4-1
- Version Update
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.11.2-1
- Version Update to 2.11.2
* Mon May 30 2005 Uli Schukraft <Schukraft@ccux-linux.de> 2.10.0-3
- added dependencies: 
    -> fam-2.7.0 (needed for automatic updates of the files viewed in Nautilus)
    -> ORBit2
* Fri Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> 2.10.0-2
- Tweaked Spec File to a more CCux Package DB friendly Way
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> 2.10.0-1
- Version Update to 2.10.0
- added "enable-final" and "enable-optimize" to ./configure-options
- extended description
- precised and added dependencies
- added post install script for correct initialization of the gconf-schemas included with this package
- excluded GConf-Schemas from the "main" Package and put them in %{name}-GConf-Schemas-package, this enables better handling of the GConf-Schemas provided with %{name}
- tweaked spec file
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.3-2
- Tweaked Specfile, moved sysconfdir, moved libexecdir to sbin
* Wed Feb 23 2005 Uli Schukraft <Schukraft@ccux-linux.de> 2.8.3-1
- First package release.
